const express = require('express');
const router = express.Router();
const profileController = require('../controllers/profileController');
const verifyToken = require('../middleware/authMiddleware');

// Modern routes (PROTECTED)
router.post('/get_profile', verifyToken, profileController.getProfile);
router.post('/change_password', verifyToken, profileController.changePassword);

module.exports = router;
